﻿using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace gridFilterDateGreater
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ultraGrid1.DisplayLayout.Override.AllowRowFiltering = Infragistics.Win.DefaultableBoolean.True;

            ultraGrid1.DataSource = new Dictionary<string, DateTime>()
            {
                {"John", new DateTime(1990, 1, 1) },
                {"Jack", new DateTime(1985, 1, 1) },
                {"Ian", new DateTime(1995, 1, 1) },
                {"Hans", new DateTime(1980, 1, 1) },
                {"Ivan", new DateTime(2000, 1, 1) }
            };
        }

        private void ubn1989_Click(object sender, EventArgs e)
        {
            ultraGrid1.DisplayLayout.Bands[0].ColumnFilters["Value"].FilterConditions.Clear();
            ultraGrid1.DisplayLayout.Bands[0].ColumnFilters["Value"].FilterConditions.Add(FilterComparisionOperator.GreaterThan, new DateTime(1989, 1, 1));
        }

        private void ubn1994_Click(object sender, EventArgs e)
        {
            ultraGrid1.DisplayLayout.Bands[0].ColumnFilters["Value"].FilterConditions.Clear();
            ultraGrid1.DisplayLayout.Bands[0].ColumnFilters["Value"].FilterConditions.Add(FilterComparisionOperator.GreaterThan, new DateTime(1994, 1, 1));
        }
    }
}
